diff --git a/base/common/src/com/netscape/cms/servlet/key/GetPk12.java b/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
index fdcbf40bc710dfbb359c2c7059801858f108b031..e22a19b82f8345503e4fd983a7c408457b39d117 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GetPk12.java
@@ -58,11 +58,9 @@ public class GetPk12 extends CMSServlet {
 
     private final static String TPL_FILE = "finishRecovery.template";
 
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_ERROR = "errorDetails";
 
     private com.netscape.certsrv.kra.IKeyService mService = null;
-    private final static String OUT_STATUS = "status";
 
     private final static String LOGGING_SIGNED_AUDIT_PRIVATE_KEY_EXPORT_REQUEST_PROCESSED_SUCCESS =
             "LOGGING_SIGNED_AUDIT_PRIVATE_KEY_EXPORT_REQUEST_PROCESSED_SUCCESS_4";
diff --git a/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java b/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
index fee739f29361c268e01ae27f7e244677a6dfd9bd..5b5aaaf8ea961c0b686640fbb2e8145b83c648e3 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GrantAsyncRecovery.java
@@ -53,14 +53,7 @@ public class GrantAsyncRecovery extends CMSServlet {
     private final static String INFO = "grantAsyncRecovery";
     private final static String TPL_FILE = "grantAsyncRecovery.template";
 
-    private final static String IN_SERIALNO = "serialNumber";
-    private final static String IN_REQ_ID = "reqID";
-    private final static String IN_UID = "uid";
-    private final static String IN_CERT = "cert";
-
     private final static String OUT_OP = "op";
-    private final static String OUT_SERIALNO = IN_SERIALNO;
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_SERVICE_URL = "serviceURL";
     private final static String OUT_ERROR = "errorDetails";
 
diff --git a/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java b/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
index 9c4ccc8bedc14a70b68a2a1ab57d88bad892abd5..e75e334ba7604b457992c66914c3c09eb2051ffb 100644
--- a/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/GrantRecovery.java
@@ -55,16 +55,7 @@ public class GrantRecovery extends CMSServlet {
     private final static String INFO = "grantRecovery";
     private final static String TPL_FILE = "grantRecovery.template";
 
-    private final static String IN_SERIALNO = "serialNumber";
-    private final static String IN_UID = "uid";
-    private final static String IN_PWD = "pwd";
-    private final static String IN_PASSWORD = "p12Password";
-    private final static String IN_DELIVERY = "p12Delivery";
-    private final static String IN_CERT = "cert";
-
     private final static String OUT_OP = "op";
-    private final static String OUT_SERIALNO = IN_SERIALNO;
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_SERVICE_URL = "serviceURL";
     private final static String OUT_ERROR = "errorDetails";
 
diff --git a/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java b/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
index bedfa911d72932c242ea0f7783f1b52dd2561ff2..97ae1f4fb8ef48b94b93d3cf204be173658af04d 100644
--- a/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
+++ b/base/common/src/com/netscape/cms/servlet/key/RecoverBySerial.java
@@ -73,7 +73,6 @@ public class RecoverBySerial extends CMSServlet {
 
     private final static String OUT_OP = "op";
     private final static String OUT_SERIALNO = IN_SERIALNO;
-    private final static String OUT_RECOVERY_SUCCESS = "recoverySuccess";
     private final static String OUT_SERVICE_URL = "serviceURL";
     private final static String OUT_ERROR = "errorDetails";
 
diff --git a/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java b/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
index c3e6bba53fa95b6b8a04b5601c69ef036df1a14a..adb201c755720be2a29db7ebce20cb9e94d4d0af 100644
--- a/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
+++ b/base/common/src/com/netscape/cms/servlet/key/SrchKeyForRecovery.java
@@ -71,7 +71,6 @@ public class SrchKeyForRecovery extends CMSServlet {
     private final static String OUT_MAXCOUNT = IN_MAXCOUNT;
     private final static String OUT_SENTINEL = IN_SENTINEL;
     private final static String OUT_OP = "op";
-    private final static String OUT_ERROR = "errorDetails";
     private final static String OUT_ARCHIVER = "archiverName";
     private final static String OUT_SERVICE_URL = "serviceURL";
     private final static String OUT_TOTAL_COUNT = "totalRecordCount";
diff --git a/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java b/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
index 4d46e8a75b0ff043170731156660f0d4f3a95ccd..2fbd5546041423411db135a4b9d1e91da5ee11b0 100644
--- a/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
+++ b/base/common/src/com/netscape/cms/servlet/processors/CRMFProcessor.java
@@ -63,6 +63,7 @@ import com.netscape.cms.servlet.common.ECMSGWException;
  */
 public class CRMFProcessor extends PKIProcessor {
 
+    @SuppressWarnings("unused")
     private CMSRequest mRequest;
 
     private boolean enforcePop = false;
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileListServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileListServlet.java
index fed0b1ee2d239cb693d11ed5c4542fbbcbe38f21..6acc1634cd822ccdd05c8dfde6994d366ee35c7f 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileListServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileListServlet.java
@@ -49,10 +49,6 @@ public class ProfileListServlet extends ProfileServlet {
      */
     private static final long serialVersionUID = -5118812083812548395L;
 
-    private static final String PROP_AUTHORITY_ID = "authorityId";
-
-    private String mAuthorityId = null;
-
     public ProfileListServlet() {
         super();
     }
@@ -65,7 +61,6 @@ public class ProfileListServlet extends ProfileServlet {
      */
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mAuthorityId = sc.getInitParameter(PROP_AUTHORITY_ID);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileServlet.java
index 9eac8eebd45bba7f60b86990bd2febf4bdd3d7f8..e975161da166ee2ace50d7adfd4330f811a6e7a5 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileServlet.java
@@ -128,7 +128,6 @@ public class ProfileServlet extends CMSServlet {
     public final static String ARG_OUTPUT_VAL = "outputVal";
 
     private static final String PROP_TEMPLATE = "templatePath";
-    private static final String PROP_AUTH_MGR_ID = "authMgrId";
     private final static String PROP_AUTHMGR = "AuthMgr";
     private final static String PROP_CLIENTAUTH = "GetClientCert";
     private static final String PROP_PROFILE_SUB_ID = "profileSubId";
@@ -146,7 +145,6 @@ public class ProfileServlet extends CMSServlet {
     private final static String HDR_LANG = "accept-language";
 
     private String mTemplate = null;
-    private String mAuthMgrId = null;
 
     protected String mId = null;
     protected String mGetClientCert = "false";
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
index 93e5b6a4bbb1a35a1250b4e902ead6974a087a1c..16fa2a3949bf26218c4a8682de83cc260b468cab 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitCMCServlet.java
@@ -77,22 +77,11 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
     private static final long serialVersionUID = -8017841111435988197L;
     private static final String ARG_AUTH_TOKEN = "auth_token";
     private static final String PROP_PROFILE_ID = "profileId";
-    private static final String PROP_AUTHORITY_ID = "authorityId";
 
-    private String mOutputTemplateClassName = null;
     private String mProfileId = null;
     private String mProfileSubId = null;
-    private String mReqType = null;
-    private String mAuthorityId = null;
-    private String requestBinary = null;
     private String requestB64 = null;
 
-    private final static String[] SIGNED_AUDIT_AUTOMATED_REJECTION_REASON = new String[] {
-
-    /* 0 */"automated profile cert request rejection:  "
-            + "indeterminate reason for inability to process "
-            + "cert request due to an EBaseException"
-        };
     private final static String LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED =
             "LOGGING_SIGNED_AUDIT_CERT_REQUEST_PROCESSED_5";
 
@@ -111,9 +100,7 @@ public class ProfileSubmitCMCServlet extends ProfileServlet {
      */
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
-        mAuthorityId = sc.getInitParameter(PROP_AUTHORITY_ID);
         mProfileId = sc.getInitParameter(PROP_PROFILE_ID);
-        mOutputTemplateClassName = sc.getInitParameter("outputTemplateClass");
         mRenderResult = false;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
index 7292be519dd9bf5d75ce7c5db0891becfa9cb096..85ef4fa0fe93f078ec84c9073a31900ad8c1d27a 100644
--- a/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/profile/ProfileSubmitServlet.java
@@ -92,7 +92,6 @@ public class ProfileSubmitServlet extends ProfileServlet {
 
     private String mProfileId = null;
     private String mProfileSubId = null;
-    private String mReqType = null;
     private String mAuthorityId = null;
 
     private final static String[] SIGNED_AUDIT_AUTOMATED_REJECTION_REASON = new String[] {
diff --git a/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java b/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
index 1733998aa6698a09da51e6d4e256bf8164a6549c..11716115f6e47eea5b82562ccc0f1bd072fa10ba 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
+++ b/base/common/src/com/netscape/cms/servlet/request/CertReqParser.java
@@ -92,16 +92,10 @@ public class CertReqParser extends ReqParser {
 
     private static final String EXT_PRETTYPRINT = "ext_prettyprint";
 
-    private static final String DOT = ".";
     private static final String LB = "[";
     private static final String RB = "]";
     private static final String EQ = " = ";
 
-    private static final String HTTP_PARAMS_COUNTER = IRequest.HTTP_PARAMS + LB + "httpParamsCount++" + RB;
-    private static final String HTTP_HEADERS_COUNTER = IRequest.HTTP_HEADERS + LB + "httpHeadersCount++" + RB;
-    private static final String AUTH_TOKEN_COUNTER = IRequest.AUTH_TOKEN + LB + "authTokenCount++" + RB;
-    private static final String SERVER_ATTRS_COUNTER = IRequest.SERVER_ATTRS + LB + "serverAttrsCount++" + RB;
-
     /**
      * Fills in certificate specific request attributes.
      */
diff --git a/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java b/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
index 41e6523a5ae77b9343a74cd3f77b5607a855b4ab..fd305add29211e7b807e6b03d5b68580509e4abf 100644
--- a/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
+++ b/base/common/src/com/netscape/cms/servlet/request/CheckRequest.java
@@ -21,12 +21,12 @@ import java.io.ByteArrayInputStream;
 import java.io.ByteArrayOutputStream;
 import java.io.File;
 import java.io.IOException;
+import java.math.BigInteger;
 import java.security.MessageDigest;
 import java.security.NoSuchAlgorithmException;
 import java.security.cert.X509Certificate;
 import java.util.Locale;
 import java.util.StringTokenizer;
-import java.math.BigInteger;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -92,13 +92,10 @@ public class CheckRequest extends CMSServlet {
     private static final long serialVersionUID = 2791195859767119636L;
     // constants
     public static String FULL_RESPONSE = "cmcFullEnrollmentResponse";
-    private final static String INFO = "CheckRequest";
     private final static String REQ_ID = "requestId";
-    private final static String REQ_TYPE = "requestType";
     private final static String STATUS = "status";
     private final static String CREATE_ON = "createdOn";
     private final static String UPDATE_ON = "updatedOn";
-    private final static String UPDATE_BY = "updatedBy";
 
     private final static String TPL_FILE = "requestStatus.template";
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
index c324e4a1fa3f11f14ad826ee1319c8e2b66c37aa..fa33f3eb13d520deb07c6ce2a5dc166dbd1c395d 100644
--- a/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/ProcessCertReq.java
@@ -77,7 +77,6 @@ import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.CMSTemplate;
 import com.netscape.cms.servlet.common.CMSTemplateParams;
 import com.netscape.cms.servlet.common.ECMSGWException;
-import com.netscape.cms.servlet.common.ICMSTemplateFiller;
 import com.netscape.cmsutil.util.Utils;
 
 /**
@@ -93,9 +92,7 @@ public class ProcessCertReq extends CMSServlet {
      *
      */
     private static final long serialVersionUID = 812464895240811318L;
-    private final static String INFO = "processReq";
     private final static String SEQNUM = "seqNum";
-    private final static String TO_DO = "toDo";
     private final static String TPL_FILE = "processCertReq.template";
 
     private IRequestQueue mQueue = null;
@@ -108,9 +105,7 @@ public class ProcessCertReq extends CMSServlet {
     private final static String REQ_COMPLETED_TEMPLATE = "ra/RequestCompleted.template";
     private final static String PROP_REQ_COMPLETED_TEMPLATE = "requestCompletedTemplate";
     private final static String PROP_EXTRA_AGENT_PARAMS = "extraAgentParams";
-    private static ICMSTemplateFiller REQ_COMPLETED_FILLER = new RAReqCompletedFiller();
     private String mReqCompletedTemplate = null;
-    private final static String CERT_TYPE = "certType";
 
     private String auditServiceID = ILogger.UNIDENTIFIED;
     private final static String AGENT_CA_CLONE_ENROLLMENT_SERVLET =
diff --git a/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java b/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
index bf8decd693366bb72340c72c85efc3a04b0734d8..dc61e1e02b02528a81c4723d740605f539f9736f 100644
--- a/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/ProcessReq.java
@@ -18,8 +18,8 @@
 package com.netscape.cms.servlet.request;
 
 import java.io.IOException;
-import java.util.Locale;
 import java.math.BigInteger;
+import java.util.Locale;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -61,11 +61,9 @@ public class ProcessReq extends CMSServlet {
      *
      */
     private static final long serialVersionUID = -6941843162486565610L;
-    private final static String INFO = "processReq";
     private final static String SEQNUM = "seqNum";
     private final static String DO_ASSIGN = "doAssign";
     private final static String TPL_FILE = "processReq.template";
-    private final static String OUT_ERROR = "errorDetails";
     private final static String PROP_PARSER = "parser";
 
     private IRequestQueue mQueue = null;
@@ -73,9 +71,6 @@ public class ProcessReq extends CMSServlet {
     private IReqParser mParser = null;
     private String[] mSigningAlgorithms = null;
 
-    private static String[] DEF_SIGNING_ALGORITHMS = new String[]
-        { "SHA1withRSA", "SHA256withRSA", "SHA512withRSA", "SHA1withDSA", "MD5withRSA", "MD2withRSA" };
-
     /**
      * Process request.
      */
diff --git a/base/common/src/com/netscape/cms/servlet/request/QueryReq.java b/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
index f18fabc6a3a38091dee8ac0ebab4713a8db79961..f1e8ec8b1de8977eb8f4368814a7395b28dd02f9 100644
--- a/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
+++ b/base/common/src/com/netscape/cms/servlet/request/QueryReq.java
@@ -18,10 +18,10 @@
 package com.netscape.cms.servlet.request;
 
 import java.io.IOException;
+import java.math.BigInteger;
 import java.util.Enumeration;
 import java.util.Locale;
 import java.util.Vector;
-import java.math.BigInteger;
 
 import javax.servlet.ServletConfig;
 import javax.servlet.ServletException;
@@ -56,7 +56,6 @@ public class QueryReq extends CMSServlet {
      */
     private static final long serialVersionUID = -8729364426329835378L;
     // constants
-    private final static String INFO = "QueryReq";
     private final static String IN_SHOW_ALL = "showAll";
     private final static String IN_SHOW_WAITING = "showWaiting";
     private final static String IN_SHOW_IN_SERVICE = "showInService";
@@ -66,35 +65,17 @@ public class QueryReq extends CMSServlet {
     private final static String IN_SHOW_COMPLETED = "showCompleted";
     private final static String IN_MAXCOUNT = "maxCount";
     private final static String IN_TOTALCOUNT = "totalRecordCount";
-    private final static String ON = "on";
     private final static String PROP_PARSER = "parser";
 
     private final static String TPL_FILE = "queryReq.template";
 
-    private final static String OUT_SERVICE_URL = "serviceURL";
-    private final static String OUT_OP = "op";
-    private final static String OUT_MAXCOUNT = IN_MAXCOUNT;
     private final static String OUT_TOTALCOUNT = IN_TOTALCOUNT;
     private final static String OUT_CURRENTCOUNT = "currentRecordCount";
-    private final static String OUT_SENTINEL_DOWN = "querySentinelDown";
-    private final static String OUT_SHOW_COMPLETED = IN_SHOW_COMPLETED;
-    private final static String OUT_SEQNUM = "seqNum";
-    private final static String OUT_STATUS = "status";
-    private final static String OUT_CREATE_ON = "createdOn";
-    private final static String OUT_UPDATE_ON = "updatedOn";
-    private final static String OUT_UPDATE_BY = "updatedBy";
     private final static String OUT_REQUESTING_USER = "requestingUser";
     //keeps track of where to begin if page down
     private final static String OUT_FIRST_ENTRY_ON_PAGE = "firstEntryOnPage";
     //keeps track of where to begin if page up
     private final static String OUT_LAST_ENTRY_ON_PAGE = "lastEntryOnPage";
-    private final static String OUT_SUBJECT = "subject";
-    private final static String OUT_REQUEST_TYPE = "requestType";
-    private final static String OUT_COMMENTS = "requestorComments";
-    private final static String OUT_SERIALNO = "serialNumber";
-    private final static String OUT_OWNER_NAME = "ownerName";
-    private final static String OUT_PUBLIC_KEY_INFO =
-            "subjectPublicKeyInfo";
     private final static String OUT_ERROR = "error";
     private final static String OUT_AUTHORITY_ID = "authorityid";
 
diff --git a/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java b/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
index 02dac53f9c37f60a0ceecb3294020b6200fbb769..10daeeb08a7d18cb3bbd06f765f558f5e9e266d2 100644
--- a/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
+++ b/base/common/src/com/netscape/cms/servlet/request/SearchReqs.java
@@ -18,7 +18,6 @@
 package com.netscape.cms.servlet.request;
 
 import java.io.IOException;
-import java.math.BigInteger;
 import java.util.Date;
 import java.util.Locale;
 
@@ -59,19 +58,11 @@ public class SearchReqs extends CMSServlet {
      */
     private static final long serialVersionUID = 2449481964851735051L;
     private final static String TPL_FILE = "queryReq.template";
-    private final static String INFO = "QueryReq";
     private final static String PROP_MAX_SEARCH_RETURNS = "maxSearchReqReturns";
     private final static String PROP_PARSER = "parser";
     private final static String CURRENT_TIME = "currentTime";
-    private final static BigInteger MINUS_ONE = new BigInteger("-1");
-    private final static String OUT_AUTHORITY_ID = "authorityid";
-    private final static String OUT_REQUESTING_USER = "requestingUser";
-    private final static String OUT_SEQNUM_FROM = "seqNumFrom";
-    private final static String OUT_MAXCOUNT = "maxCount";
     private final static String OUT_TOTALCOUNT = "totalRecordCount";
     private final static String OUT_CURRENTCOUNT = "currentRecordCount";
-    private final static String OUT_SENTINEL = "querySentinel";
-    private final static String OUT_ERROR = "error";
     private final static int MAX_RESULTS = 1000;
 
     private IRequestQueue mQueue = null;
diff --git a/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java b/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
index ea0b10a678a9f9dd9d9d819cf1536acf1491818e..ee6913acc20e93dc2512890e1eb121f5690e4852 100644
--- a/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/tks/TokenServlet.java
@@ -44,7 +44,6 @@ import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.IPrettyPrintFormat;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.logging.ILogger;
-import com.netscape.certsrv.tks.ITKSAuthority;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.symkey.SessionKey;
@@ -66,13 +65,8 @@ public class TokenServlet extends CMSServlet {
     protected static final String TRANSPORT_KEY_NAME = "sharedSecret";
     private final static String INFO = "TokenServlet";
     public static int ERROR = 1;
-    private ITKSAuthority mTKS = null;
-    private String mSelectedToken = null;
-    private String mNewSelectedToken = null;
     String mKeyNickName = null;
     String mNewKeyNickName = null;
-    private final static String LOGGING_SIGNED_AUDIT_CONFIG_DRM =
-            "LOGGING_SIGNED_AUDIT_CONFIG_DRM_3";
     IPrettyPrintFormat pp = CMS.getPrettyPrintFormat(":");
 
     private final static String LOGGING_SIGNED_AUDIT_COMPUTE_SESSION_KEY_REQUEST =
@@ -177,9 +171,6 @@ public class TokenServlet extends CMSServlet {
             }
             CMS.debug("keySet selected: " + keySet);
 
-            mNewSelectedToken = null;
-
-            mSelectedToken = CMS.getConfigStore().getString("tks.defaultSlot");
             String masterKeyPrefix = CMS.getConfigStore().getString("tks.master_key_prefix", null);
             String temp = req.getParameter("KeyInfo"); //#xx#xx
             String keyInfoMap = "tks." + keySet + ".mk_mappings." + temp;
@@ -190,9 +181,7 @@ public class TokenServlet extends CMSServlet {
                 while (st.hasMoreTokens()) {
 
                     String currentToken = st.nextToken();
-                    if (tokenNumber == 0)
-                        mSelectedToken = currentToken;
-                    else if (tokenNumber == 1)
+                    if (tokenNumber == 1)
                         mKeyNickName = currentToken;
                     tokenNumber++;
 
@@ -208,9 +197,7 @@ public class TokenServlet extends CMSServlet {
                     int tokenNumber = 0;
                     while (st.hasMoreTokens()) {
                         String currentToken = st.nextToken();
-                        if (tokenNumber == 0)
-                            mNewSelectedToken = currentToken;
-                        else if (tokenNumber == 1)
+                        if (tokenNumber == 1)
                             mNewKeyNickName = currentToken;
                         tokenNumber++;
 
@@ -1314,7 +1301,6 @@ public class TokenServlet extends CMSServlet {
         }
 
         String temp = req.getParameter("card_challenge");
-        mSelectedToken = CMS.getConfigStore().getString("tks.defaultSlot");
         setDefaultSlotAndKeyName(req);
         if (temp != null) {
             processComputeSessionKey(req, resp);
diff --git a/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index 4c808132cf1b4b5813c0093d57b4c5a3c1afa1e5..19fc5162b0f4ff43b1bec1ff6dc9004a2f6748ec 100644
--- a/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -188,7 +188,8 @@ public class CMSEngine implements ICMSEngine {
     private int pid;
 
     private IConfigStore mConfig = null;
-    private ISubsystem mOwner = null;
+    @SuppressWarnings("unused")
+    private ISubsystem mOwner;
     private long mStartupTime = 0;
     private boolean isStarted = false;
     private StringBuffer mWarning = new StringBuffer();
@@ -239,6 +240,7 @@ public class CMSEngine implements ICMSEngine {
 
     private static final int IP = 0;
     private static final int PORT = 1;
+    @SuppressWarnings("unused")
     private static final int HOST = 2;
     private static final int AGENT = 0;
     private static final int ADMIN = 1;
diff --git a/base/common/src/com/netscape/cmscore/authentication/CertUserDBAuthentication.java b/base/common/src/com/netscape/cmscore/authentication/CertUserDBAuthentication.java
index d8db16ad01edde1795732e6bc641eb2b0350a8a0..fab9c18129573f05012c7cc1757bca359d2f6b63 100644
--- a/base/common/src/com/netscape/cmscore/authentication/CertUserDBAuthentication.java
+++ b/base/common/src/com/netscape/cmscore/authentication/CertUserDBAuthentication.java
@@ -71,7 +71,6 @@ public class CertUserDBAuthentication implements IAuthManager {
 
     private boolean mRevocationCheckingEnabled = false;
     private IConfigStore mRevocationChecking = null;
-    private String mRequestor = null;
 
     public CertUserDBAuthentication() {
     }
diff --git a/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java b/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
index 1040e6034058ab1d81a860b384f927294f3c69e6..f5bde0b54731c46d0ccff2dbc64d435995b23915 100644
--- a/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
+++ b/base/common/src/com/netscape/cmscore/authentication/ChallengePhraseAuthentication.java
@@ -40,7 +40,6 @@ import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.certsrv.request.IRequest;
 import com.netscape.certsrv.request.IRequestQueue;
 import com.netscape.certsrv.request.RequestStatus;
-import com.netscape.certsrv.usrgrp.ICertUserLocator;
 import com.netscape.cmscore.base.SubsystemRegistry;
 import com.netscape.cmscore.dbs.CertRecord;
 import com.netscape.cmscore.util.Debug;
@@ -75,9 +74,7 @@ public class ChallengePhraseAuthentication implements IAuthManager {
     private String mImplName = null;
     private IConfigStore mConfig = null;
 
-    private ICertUserLocator mCULocator = null;
     private ILogger mLogger = CMS.getLogger();
-    private String mRequestor = null;
     private MessageDigest mSHADigest = null;
 
     // request attributes hacks
@@ -390,7 +387,6 @@ public class ChallengePhraseAuthentication implements IAuthManager {
 
             if (ra != null) {
                 queue = ra.getRequestQueue();
-                mRequestor = IRequest.REQUESTOR_RA;
             }
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java b/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
index 4906d5c5004681101d210830dbf68250e37bce55..235362395ed5f903e4df1789d8909c767614f487 100644
--- a/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
+++ b/base/common/src/com/netscape/cmscore/authentication/SSLClientCertAuthentication.java
@@ -67,7 +67,6 @@ public class SSLClientCertAuthentication implements IAuthManager {
     private String mName = null;
     private String mImplName = null;
     private IConfigStore mConfig = null;
-    private String mRequestor = null;
 
     /* Holds configuration parameters accepted by this implementation.
      * This list is passed to the configuration console so configuration
@@ -256,7 +255,6 @@ public class SSLClientCertAuthentication implements IAuthManager {
 
             if (ra != null) {
                 queue = ra.getRequestQueue();
-                mRequestor = IRequest.REQUESTOR_RA;
             }
         } catch (Exception e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cmscore/base/SimpleProperties.java b/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
index cc1bd62015cbe0bbfb184e941119b69dece9575e..f8a5cf4d065322a1aabb923268d603efb2d9a8b2 100644
--- a/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
+++ b/base/common/src/com/netscape/cmscore/base/SimpleProperties.java
@@ -92,8 +92,6 @@ public class SimpleProperties extends Hashtable<String, String> {
 
     private static final String strictKeyValueSeparators = "=:";
 
-    private static final String specialSaveChars = "=: \t\r\n\f#!";
-
     private static final String whiteSpaceChars = " \t\r\n\f";
 
     /**
@@ -455,9 +453,4 @@ public class SimpleProperties extends Hashtable<String, String> {
             h.put(key, get(key));
         }
     }
-
-    /** A table of hex digits */
-    private static final char[] hexDigit = {
-            '0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'
-        };
 }
diff --git a/base/common/src/com/netscape/cmscore/connector/HttpConnFactory.java b/base/common/src/com/netscape/cmscore/connector/HttpConnFactory.java
index 6e4ec113fc7ed45d2ed4fa897a608cae7e8ca462..c5e3312e14e767b3255a6ee1f00a70546969b23b 100644
--- a/base/common/src/com/netscape/cmscore/connector/HttpConnFactory.java
+++ b/base/common/src/com/netscape/cmscore/connector/HttpConnFactory.java
@@ -38,19 +38,14 @@ public class HttpConnFactory {
 
     private int mNumConns = 0; // number of available conns in array
     private int mTotal = 0; // total num conns
-    private IHttpConnection mMasterConn = null; // master connection object.
     private IHttpConnection mConns[];
-    private IAuthority mSource = null;
+    @SuppressWarnings("unused")
+    private IAuthority mSource;
     private IRemoteAuthority mDest = null;
     private String mNickname = "";
     private int mTimeout = 0;
 
     /**
-     * default value for the above at init time.
-     */
-    private boolean mDefErrorIfDown = false;
-
-    /**
      * Constructor for initializing from the config store.
      * must be followed by init(IConfigStore)
      */
